/****************************************************************/
/* Endwin() routine of the PCcurses package			*/
/*								*/
/****************************************************************/
/* This version of curses is based on ncurses, a curses version	*/
/* originally written by Pavel Curtis at Cornell University.	*/
/* I have made substantial changes to make it run on IBM PC's,	*/
/* and therefore consider myself free to make it public domain.	*/
/*		Bjorn Larsson (...mcvax!enea!infovax!bl)	*/
/****************************************************************/
/* 1.0:	Release:					870515	*/
/****************************************************************/

#include <curses.h>
#include <curspriv.h>

/****************************************************************/
/* Endwin() does neccessary clean-up after using the PCcurses	*/
/* package. It should be called before exiting the user's pro-	*/
/* gram.							*/
/****************************************************************/

int endwin()
  {
  delwin(stdscr);
  delwin(curscr);
  delwin(_cursvar.tmpwin);
  curson();				/* turn on cursor if off */
  _cursescursor(0,LINES-1, 0);		/* put at lower left */
  _cursesscb(_cursvar.orgcbr);		/* restore original ^BREAK setting */
  return(OK);
  } /* endwin */
